package org.seasar.dao.impl;

import javax.sql.DataSource;

import org.seasar.dao.BeanMetaData;
import org.seasar.extension.jdbc.CallableStatementFactory;

/**
 * @author higa
 *  
 */
public class UpdateAutoStaticCommand extends AbstractAutoStaticCommand {

	public UpdateAutoStaticCommand(DataSource dataSource,
			CallableStatementFactory callableStatementFactory,
			BeanMetaData beanMetaData, String[] propertyNames) {

		super(dataSource, callableStatementFactory, beanMetaData, propertyNames);
	}

	protected AbstractAutoHandler createAutoHandler() {
		return new UpdateAutoHandler(getDataSource(),
				getCallableStatementFactory(), getBeanMetaData(),
				getPropertyTypes());
	}

	protected void setupSql() {
		setupUpdateSql();
	}

	protected void setupPropertyTypes(String[] propertyNames) {
		setupUpdatePropertyTypes(propertyNames);

	}
}